<?php

class Acuerdo extends CActiveRecord
{
		public $acu_titulo2;
	public $acu_titulo3;
	public $acu_titulo4;
	public $acu_titulo5;
	public $acu_titulo6;
	public $acu_titulo7;
	public $acu_titulo8;
	public $acu_titulo9;
	public $acu_titulo10;

	public function tableName()
	{
		return 'acuerdo';
	}

	public function rules()
	{
		return array(
			array('acu_titulo', 'required'),
			array('min_codigo', 'numerical', 'integerOnly'=>true),
			array('acu_titulo', 'length', 'max'=>500),
			array('acu_fecha', 'safe'),
			array('acu_codigo, acu_titulo, acu_fecha, min_codigo', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
			'funcionario' => array(self::BELONGS_TO, 'funcionario', 'fun_rut'),
		);
	}

	public function attributeLabels()
	{
		return array(
			'acu_codigo' => 'Acu Codigo',
			'acu_titulo' => 'Acuerdo',
			'acu_fecha' => 'Fecha',
			'min_codigo' => 'Minuta',
		);
	}


	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('acu_codigo',$this->acu_codigo);
		$criteria->compare('acu_titulo',$this->acu_titulo,true);
		$criteria->compare('acu_fecha',$this->acu_fecha,true);
		$criteria->compare('min_codigo',$this->min_codigo);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function buscar()
	{
		$criteria=new CDbCriteria;
		$criteria->addcondition('min_codigo in (select a.min_codigo from minuta as a where a.min_estado="Publicado")');
		$criteria->compare('acu_codigo',$this->acu_codigo);
		$criteria->compare('acu_titulo',$this->acu_titulo,true);
		$criteria->compare('acu_fecha',$this->acu_fecha,true);
		$criteria->compare('min_codigo',$this->min_codigo);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function getDbConnection()
	{
		return Yii::app()->db_minuta;
	}

	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
